ONVIF::Device::Types::Rotate(3)

NAME
ONVIF::Device::Types::Rotate

DESCRIPTION
Perl data type class for the XML Schema defined complexType Rotate from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Mode

•   Degree

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::Rotate
   Mode => $some_value, # RotateMode
   Degree =>  $some_value, # int
   Extension =>  { # ONVIF::Device::Types::RotateExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL